### Function

# GimpUi int_radio_group_new

#### Declaration [src]

    GtkWidget*
    gimp_int_radio_group_new (
      gboolean in_frame,
      const gchar* frame_title,
      GCallback radio_button_callback,
      gpointer radio_button_callback_data,
      GDestroyNotify radio_button_callback_destroy,
      gint initial,
      ...
    )

#### Description [src]

Convenience function to create a group of radio buttons embedded into a `GtkFrame` or `GtkBox`. This function does the same thing as gimp_radio_group_new2(), but it takes integers as `item_data` instead of pointers, since that is a very common case (mapping an enum to a radio group).

This function is not directly available to language bindings.

#### Parameters

`in_frame`

  Type: `gboolean`

  `TRUE` if you want a `GtkFrame` around the radio button group.

`frame_title`

  Type: `const gchar*`

                          The title of the Frame or `NULL` if you don't want a
                          title.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`radio_button_callback`

  Type: `GCallback`

                          The callback each button's
                          "toggled" signal will be connected with.

`radio_button_callback_data`

  Type: `gpointer`

  The data which will be passed to g_signal_connect().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`radio_button_callback_destroy`

  Type: `GDestroyNotify`

  No description available.

`initial`

  Type: `gint`

  The `item_data` of the initially pressed radio button.

`...`

  Type: ``

  A `NULL`-terminated `va_list` describing the radio buttons.

#### Return value

Type: `GtkWidget`

A `GtkFrame` or `GtkBox` (depending on `in_frame`).

The caller of the function takes ownership of the data, and is responsible for freeing it.